MathToolbox
Keywords: com.sharkysoft.math.MathToolbox class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| sharkysoft.com
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sharkysoft.math
Class MathToolbox

    java.lang.Object
      com.sharkysoft.math.MathToolbox

public class MathToolbox
extends java.lang.Object

Math-related functions.

Details: `MathToolbox` is a miscellaneous collection of generic math-related functions.

Author:
  Sharky

Constructor Summary
`MathToolbox()`

Method Summary
`static boolean` | `isIrrational(double idValue)`
`static boolean` | `isIrrational(float ifValue)`
`static MantissaExponent` | `toScientificNotation(java.math.BigDecimal ipVal)` Converts real value to scientific notation.
`static MantissaExponent` | `toScientificNotation(double idVal)` Converts real value to scientific notation.
`static MantissaExponent` | `toScientificNotation(float ifVal)` Converts real value to scientific notation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MathToolbox

    public MathToolbox()

Method Detail

### toScientificNotation

    public static MantissaExponent toScientificNotation(java.math.BigDecimal ipVal)

  Converts real value to scientific notation.

  Details: This method determines the scientific notation for the given real value.

  Parameters:
    `ipVal` - the real value
  Returns:
    the scientific notation

### toScientificNotation

    public static MantissaExponent toScientificNotation(double idVal)

  Converts real value to scientific notation.

  Details: This method determines the scientific notation for the given real value.

  Parameters:
    `idVal` - the real value
  Returns:
    the scientific notation

### toScientificNotation

    public static MantissaExponent toScientificNotation(float ifVal)

  Converts real value to scientific notation.

  Details: This method determines the scientific notation for the given real value.

  Parameters:
    `ifVal` - the real value
  Returns:
    the scientific notation

### isIrrational

    public static boolean isIrrational(float ifValue)

### isIrrational

    public static boolean isIrrational(double idValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| sharkysoft.com
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2004 Sharkysoft (sharkysoft.com). All rights reserved.